<?php
require_once(getabspath("classes/cipherer.php"));



$tdataFinance_Dashboard = array();
$tdataFinance_Dashboard[".ShortName"] = "Finance_Dashboard";

$tdataFinance_Dashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataFinance_Dashboard[".originalPagesByType"] = $tdataFinance_Dashboard[".pagesByType"];
$tdataFinance_Dashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataFinance_Dashboard[".originalPages"] = $tdataFinance_Dashboard[".pages"];
$tdataFinance_Dashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataFinance_Dashboard[".originalDefaultPages"] = $tdataFinance_Dashboard[".defaultPages"];


//	field labels
$fieldLabelsFinance_Dashboard = array();
$pageTitlesFinance_Dashboard = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsFinance_Dashboard["English"] = array();
	$fieldLabelsFinance_Dashboard["English"]["for_checking_No"] = "For Checking No";
	$fieldLabelsFinance_Dashboard["English"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsFinance_Dashboard["English"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsFinance_Dashboard["English"]["for_checking_View"] = "For Checking View";
}
if(mlang_getcurrentlang()=="Chinese")
{
	$fieldLabelsFinance_Dashboard["Chinese"] = array();
	$fieldLabelsFinance_Dashboard["Chinese"]["for_checking_No"] = "For Checking No";
	$fieldLabelsFinance_Dashboard["Chinese"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsFinance_Dashboard["Chinese"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsFinance_Dashboard["Chinese"]["for_checking_View"] = "For Checking View";
}
if(mlang_getcurrentlang()=="Tagalog(Philippines)")
{
	$fieldLabelsFinance_Dashboard["Tagalog(Philippines)"] = array();
	$fieldLabelsFinance_Dashboard["Tagalog(Philippines)"]["for_checking_No"] = "For Checking No";
	$fieldLabelsFinance_Dashboard["Tagalog(Philippines)"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsFinance_Dashboard["Tagalog(Philippines)"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsFinance_Dashboard["Tagalog(Philippines)"]["for_checking_View"] = "For Checking View";
}
if(mlang_getcurrentlang()=="Thai")
{
	$fieldLabelsFinance_Dashboard["Thai"] = array();
	$fieldLabelsFinance_Dashboard["Thai"]["for_checking_No"] = "For Checking No";
	$fieldLabelsFinance_Dashboard["Thai"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsFinance_Dashboard["Thai"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsFinance_Dashboard["Thai"]["for_checking_View"] = "For Checking View";
}

//	search fields
$tdataFinance_Dashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"No" );
$tdataFinance_Dashboard[".searchFields"]["for_checking_No"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"Transaction" );
$tdataFinance_Dashboard[".searchFields"]["for_checking_Transaction"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"checked_by" );
$tdataFinance_Dashboard[".searchFields"]["for_checking_checked_by"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"View" );
$tdataFinance_Dashboard[".searchFields"]["for_checking_View"] = $dashField;

// all search fields
$tdataFinance_Dashboard[".allSearchFields"] = array();
$tdataFinance_Dashboard[".allSearchFields"][] = "for_checking_No";
$tdataFinance_Dashboard[".allSearchFields"][] = "for_checking_Transaction";
$tdataFinance_Dashboard[".allSearchFields"][] = "for_checking_checked_by";
$tdataFinance_Dashboard[".allSearchFields"][] = "for_checking_View";

// good like search fields
$tdataFinance_Dashboard[".googleLikeFields"] = array();
$tdataFinance_Dashboard[".googleLikeFields"][] = "for_checking_No";
$tdataFinance_Dashboard[".googleLikeFields"][] = "for_checking_Transaction";
$tdataFinance_Dashboard[".googleLikeFields"][] = "for_checking_checked_by";
$tdataFinance_Dashboard[".googleLikeFields"][] = "for_checking_View";

$tdataFinance_Dashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "for_checking_list", "table" => "for_checking",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "for_approval_list", "table" => "for_approval",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "pending_items_reminders_report", "table" => "pending_items_reminders",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_0_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "For_Checking_Dashboard_report", "table" => "For_Checking_Dashboard",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_1_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "For_Approval_Dashboard_report", "table" => "For_Approval_Dashboard",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Finance_Cash_flow_forcast_report", "table" => "Finance_Cash_flow_forcast",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_1_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Finance_approved_request_for_payment_report", "table" => "Finance_approved_request_for_payment",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 200;


	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Finance_Approved_Employee_Loan_report", "table" => "Finance_Approved_Employee_Loan",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_3_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 200;


	$tdataFinance_Dashboard[".dashElements"][] = $dbelement;

$tdataFinance_Dashboard[".shortTableName"] = "Finance_Dashboard";
$tdataFinance_Dashboard[".entityType"] = 4;



$tableEvents["Finance_Dashboard"] = new eventsBase;
$tdataFinance_Dashboard[".hasEvents"] = false;


$tdataFinance_Dashboard[".tableType"] = "dashboard";


																																																																																																																																																																																																																																		
$tdataFinance_Dashboard[".addPageEvents"] = false;

$tdataFinance_Dashboard[".isUseAjaxSuggest"] = true;

$tables_data["Finance_Dashboard"]=&$tdataFinance_Dashboard;
$field_labels["Finance_Dashboard"] = &$fieldLabelsFinance_Dashboard;
$page_titles["Finance_Dashboard"] = &$pageTitlesFinance_Dashboard;

?>